#include "fcts.h"

int main(int argc, char ** argv){
	int i, nRNG;
	double nAcc=0;
	std::ofstream rescsv;
	rescsv.open("values_res/monte_res.csv");
	if(argc <2){
		printf("Please give the number of random generated number \n");
		return -1;
	}
	nRNG = atoi(argv[1]);
	double x, y;
	for (i = 0; i < nRNG; i++){
		x = ((double) uniform())/(double)0x7FFFFFFF;
		y = ((double) uniform())/(double)0x7FFFFFFF;
		if (x *x + y * y <= 1){
		    nAcc ++;
		}
		rescsv << x;
		rescsv << ", ";
		rescsv << y;
		rescsv << "\n";
	}
	double pi = 4 * nAcc/nRNG;
	printf("%lf \n", pi);
	rescsv.close();
}
